Consultar stock por sucursal
curl --request GET \
--url https://app.fooddelivery.cl/api/v1/stock \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fooddelivery.cl/api/v1/stock"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fooddelivery.cl/api/v1/stock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": 123
}
]
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Inventario
Consultar stock por sucursal
Devuelve el stock actual en una sucursal de los productos con inventario activado. Un producto con inventario activado pero sin registro de stock en esa sucursal se reporta con quantity 0.
GET
/
stock
Consultar stock por sucursal
Authorizations
API key del restaurante, generada en el panel de administración (Integraciones → API pública): fd_live_... para producción o fd_test_... para sandbox (modo prueba sobre el mismo restaurante).
Query Parameters
Response
Stock por producto.
Show child attributes
Show child attributes
⌘I
